> For the complete documentation index, see [llms.txt](https://docs.contextsdk.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.contextsdk.com/other/updating-your-sdk.md).

# Updating Your SDK

Learn how to update the SDK for each platform your app supports.

The latest iOS ContextSDK version is 5.17.0 and was released on August 14, 2026. The latest Android ContextSDK version is 2.0.2 and was released on November 2, 2026.

{% tabs %}
{% tab title="iOS" %}
{% tabs %}
{% tab title="Swift Package Manager (SPM)" %}
SPM has a few issues when it comes to caching its dependencies, so please be sure to follow all the steps below:

* Trigger an update of SPM using your preferred method ( <kbd>Right Click</kbd> → <kbd>Update Package</kbd> or <kbd>Swift Packages</kbd> → <kbd>Update to Latest Package Versions</kbd>)
* Clear Derived Data
* Clean Build
* Run the app again, and verify `ContextManager.sdkVersion()` is the latest version.

Alternatively, you can also specify the specific version of ContextSDK you want to use in your `Package.swift` or Xcode SPM settings.
{% endtab %}

{% tab title="CocoaPods" %}
Run `pod update`, or if you specified a specific version in your `Podfile`, run `pod update ContextSDK`.
{% endtab %}

{% tab title="Manually" %}

1. Download the latest release: <https://storage.googleapis.com/de73e410-context-sdk-releases/latest/ContextSDK.zip>
2. Drag & Drop the `ContextSDK.xcframework` folder into the Xcode file list
3. Go to your project settings, scroll down to `Frameworks, Libraries, and Embedded Content`, add `ContextSDK.xcframework`, and select `Embed & Sign`

If you want to download a specific version, you can replace `latest` with the desired version number, e.g. [https://storage.googleapis.com/de73e410-context-sdk-releases/5.0.0/ContextSDK.zip](https://storage.googleapis.com/de73e410-context-sdk-releases/4.1.1/ContextSDK.zip)
{% endtab %}
{% endtabs %}
{% endtab %}

{% tab title="Android" %}
{% tabs %}
{% tab title="Kotlin" %}
Set `<version>` to the latest release in your module-level `build.gradle.kts`:

{% code title="build.gradle.kts" %}

```kotlin
dependencies {
    // …
    implementation("com.contextsdk:contextsdk:<version>")
    // …
}
```

{% endcode %}

And run a Gradle sync to install the latest version of ContextSDK.
{% endtab %}

{% tab title="Java" %}
Set `<version>` to the latest release in your module-level `build.gradle`:

{% code title="build.gradle" %}

```java
dependencies {
    // …
    implementation 'com.contextsdk:contextsdk:<version>'
    // …
}
```

{% endcode %}

And run a Gradle sync to install the latest version of ContextSDK.
{% endtab %}
{% endtabs %}
{% endtab %}

{% tab title="Flutter" %}

1. Update the `context_sdk` version in your `pubspec.yaml` to the latest version.
2. Run `flutter pub get`
3. Run `pod update` in the `ios/` directory
   {% endtab %}

{% tab title="Unity" %}

1. Download the latest version of ContextSDK: [ContextSDK.zip](https://storage.googleapis.com/de73e410-context-sdk-releases/latest/ContextSDK.zip).
2. In your Unity project, drag `ContextSDK.xcframework` into the `Assets/Plugins/iOS` folder.
3. Add the `ContextSDKBinding.cs` script in the same folder.

To download a specific version, replace `latest` in the download URL with the desired version number. For example, to download version 5.17.0:

<https://storage.googleapis.com/de73e410-context-sdk-releases/5.17.0/ContextSDK.zip>
{% endtab %}

{% tab title="React Native" %}
{% tabs %}
{% tab title="npm" %}

```sh
npm install react-native-context-sdk@latest
```

{% endtab %}

{% tab title="yarn" %}

```sh
yarn up react-native-context-sdk
```

{% endtab %}
{% endtabs %}
{% endtab %}
{% endtabs %}

### Validate the installation

After updating the SDK, please take a minute to go through the [release checklist](https://docs.contextsdk.com/context-decision/release-checklist.md) again, to ensure the SDK is correctly installed and configured, using the `validate` method. Just following the first step of the release checklist will prevent almost all potential integration errors.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.contextsdk.com/other/updating-your-sdk.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
